/* random4.h - header file for "random4.c"
 *
 * Copyright (C) 2010  Jochen Voss
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 */

#ifndef FILE_RANDOM4_H_SEEN
#define FILE_RANDOM4_H_SEEN

#include <stdint.h>

struct jvrand;

extern  struct jvrand *new_jvrand(uint32_t seed);
extern  void  delete_jvrand(struct jvrand *rng);
extern  double  jvrand_uniform(struct jvrand *rng);
extern  double  jvrand_standard_normal(struct jvrand *rng);

#endif /* FILE_RANDOM4_H_SEEN */
